# TdApi.ImportContacts

Package it.ernytech.tdlib

## Class TdApi.ImportContacts

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ImportContacts

Enclosing class:
  TdApi

    public static class TdApi.ImportContacts
    extends TdApi.Function

Adds new contacts or edits existing contacts; contacts' user identifiers are ignored.

Returns `ImportedContacts`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Contact[]` `contacts` The list of contacts to import or edit.

### Constructor Summary

Constructors
`ImportContacts()` Default constructor.
`ImportContacts​(TdApi.Contact[] contacts)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### contacts

    public TdApi.Contact[] contacts

The list of contacts to import or edit.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ImportContacts

    public ImportContacts()

Default constructor.

#### ImportContacts

    public ImportContacts​(TdApi.Contact[] contacts)

Constructor for initialization of all fields.

Parameters:
  `contacts` - The list of contacts to import or edit.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR